package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformAccount {
    private Long id;

    private String name;

    private Integer type;

    private Integer identity;

    private String channel;

    private String layerType;

    private String contactName;

    private String telNum;

    private String price;

    private String password;

    private String token;

    private Long tokenExpireTimestamp;

    private String replySecret;

    private Integer status;

    private String createAccount;

    private Long createTimestamp;

    private String updateAccount;

    private Long updateTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getLayerType() {
        return layerType;
    }

    public void setLayerType(String layerType) {
        this.layerType = layerType;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getTelNum() {
        return telNum;
    }

    public void setTelNum(String telNum) {
        this.telNum = telNum;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getTokenExpireTimestamp() {
        return tokenExpireTimestamp;
    }

    public void setTokenExpireTimestamp(Long tokenExpireTimestamp) {
        this.tokenExpireTimestamp = tokenExpireTimestamp;
    }

    public String getReplySecret() {
        return replySecret;
    }

    public void setReplySecret(String replySecret) {
        this.replySecret = replySecret;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public String getUpdateAccount() {
        return updateAccount;
    }

    public void setUpdateAccount(String updateAccount) {
        this.updateAccount = updateAccount;
    }

    public Long getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Long updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", type=").append(type);
        sb.append(", identity=").append(identity);
        sb.append(", channel=").append(channel);
        sb.append(", layerType=").append(layerType);
        sb.append(", contactName=").append(contactName);
        sb.append(", telNum=").append(telNum);
        sb.append(", price=").append(price);
        sb.append(", password=").append(password);
        sb.append(", token=").append(token);
        sb.append(", tokenExpireTimestamp=").append(tokenExpireTimestamp);
        sb.append(", replySecret=").append(replySecret);
        sb.append(", status=").append(status);
        sb.append(", createAccount=").append(createAccount);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", updateAccount=").append(updateAccount);
        sb.append(", updateTimestamp=").append(updateTimestamp);
        sb.append("]");
        return sb.toString();
    }
}